[ Maverik Level 2 typedefs ]

#

MAV_object

## Summary

Maverik object.

## Syntax

    typedef struct {
      void *the_data;
      MAV_class *the_class;
    } MAV_object;

## Description

A Maverik object is simply the encapsulation in a single data structure of a pointer to an object's data, `the_data`, and the methods which act upon it, `the_class`. This gives a generic handle to any object, regardless of class, and is used as the argument to other Maverik functions.

Applications would rarely need to explicitly create or directly access the fields of this data structure. This should be achieved by the mav_objectNew, mav_objectDataGet and mav_objectClassGet functions.

## See also

MAV_class.html>MAV_class, mav_objectNew.html>mav_objectNew, mav_objectDataGet.html>mav_objectDataGet, mav_objectClassGet.html>mav_objectClassGet

Back to the index page.